org.springframework.scheduling.config

## Class Task

- java.lang.Object
- - org.springframework.scheduling.config.Task

Direct Known Subclasses:
  IntervalTask, TriggerTask

    public class Task
    extends Object

Holder class defining a `Runnable` to be executed as a task, typically at a scheduled time or interval. See subclass hierarchy for various scheduling approaches.

Since:
  3.2
Author:
  Chris Beams

### Constructor Summary

Constructors
Constructor and Description
`Task(Runnable runnable)` Create a new `Task`.

### Method Summary

Methods
`Runnable` `getRunnable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Task

    public Task(Runnable runnable)

Create a new `Task`.

Parameters:
  `runnable` - the underlying task to execute.

### Method Detail

#### getRunnable

    public Runnable getRunnable()